## org.apache.batik.bridge
Interface GenericBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGDescElementBridge, SVGTitleElementBridge

public interface GenericBridge
extends Bridge

A tagging interface that bridges for elements child of `GraphicsNodeBridge` should implement.

Method Summary
`void` `handleElement(BridgeContext ctx, org.w3c.dom.Element e)` Invoked to handle an `Element` for a given `BridgeContext`.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### handleElement

    public void handleElement(BridgeContext ctx,
                              org.w3c.dom.Element e)

  Invoked to handle an `Element` for a given `BridgeContext`. For example, see the `SVGTitleElementBridge`.

  Parameters:
    `ctx` - the bridge context to use
    `e` - the element that describes the graphics node to build

Copyright © 2004 Apache Software Foundation. All Rights Reserved.